<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelSequenceFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelSequenceFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelSequenceFactory" --><!-- doxytag: inherits="iBase" -->
<p>A representation of a sequence factory.  
 <a href="structiCelSequenceFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sequences_8h_source.html">tools/sequences.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelSequenceFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelSequenceFactory.png" usemap="#iCelSequenceFactory_map" alt=""/>
  <map id="iCelSequenceFactory_map" name="iCelSequenceFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,134,24"/>
</map>
 </div></div>

<p><a href="structiCelSequenceFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequenceFactory.html#a075514025ef791959ae9864d847fd186">AddDelay</a> (const char *delay)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a delay.  <a href="#a075514025ef791959ae9864d847fd186"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequenceFactory.html#a9b17ec042d9af2d93ffb0a6d21581cf8">AddSeqOpFactory</a> (<a class="el" href="structiSeqOpFactory.html">iSeqOpFactory</a> *seqopfact, const char *duration)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a new operation factory at the specified time.  <a href="#a9b17ec042d9af2d93ffb0a6d21581cf8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequenceFactory.html#ac60f4e6ea04d9437b9d6355dec8b18e2">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this factory.  <a href="#ac60f4e6ea04d9437b9d6355dec8b18e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequenceFactory.html#aaf72d2d6bfd407f9fa2a962e0091d77a">SetName</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of this factory.  <a href="#aaf72d2d6bfd407f9fa2a962e0091d77a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A representation of a sequence factory. </p>
<p>A sequence factory is basically a sequence of sequence operation factories. </p>

<p>Definition at line <a class="el" href="sequences_8h_source.html#l00186">186</a> of file <a class="el" href="sequences_8h_source.html">sequences.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a075514025ef791959ae9864d847fd186"></a><!-- doxytag: member="iCelSequenceFactory::AddDelay" ref="a075514025ef791959ae9864d847fd186" args="(const char *delay)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelSequenceFactory.html#a075514025ef791959ae9864d847fd186">iCelSequenceFactory::AddDelay</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>delay</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a delay. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">delay</td><td>is a the delay or a parameter. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9b17ec042d9af2d93ffb0a6d21581cf8"></a><!-- doxytag: member="iCelSequenceFactory::AddSeqOpFactory" ref="a9b17ec042d9af2d93ffb0a6d21581cf8" args="(iSeqOpFactory *seqopfact, const char *duration)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelSequenceFactory.html#a9b17ec042d9af2d93ffb0a6d21581cf8">iCelSequenceFactory::AddSeqOpFactory</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiSeqOpFactory.html">iSeqOpFactory</a> *&#160;</td>
          <td class="paramname"><em>seqopfact</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>duration</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a new operation factory at the specified time. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">seqopfact</td><td>is the factory to add. </td></tr>
    <tr><td class="paramname">duration</td><td>is the duration of this operation. This can be a string representing a numerical value or a parameter ($x notation). The duration can be 0 in which case we have a single-stop event. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac60f4e6ea04d9437b9d6355dec8b18e2"></a><!-- doxytag: member="iCelSequenceFactory::GetName" ref="ac60f4e6ea04d9437b9d6355dec8b18e2" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelSequenceFactory.html#ac60f4e6ea04d9437b9d6355dec8b18e2">iCelSequenceFactory::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this factory. </p>

</div>
</div>
<a class="anchor" id="aaf72d2d6bfd407f9fa2a962e0091d77a"></a><!-- doxytag: member="iCelSequenceFactory::SetName" ref="aaf72d2d6bfd407f9fa2a962e0091d77a" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelSequenceFactory.html#aaf72d2d6bfd407f9fa2a962e0091d77a">iCelSequenceFactory::SetName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of this factory. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="sequences_8h_source.html">sequences.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
